package muxer.ts;

import java.io.IOException;
import java.nio.channels.WritableByteChannel;

import demux.ts.TsRawPacketPart;

public class TsPacketWriter {
	protected WritableByteChannel out;
	private TsRawPacketPart packetPart=new TsRawPacketPart(188);
	
	public TsPacketWriter(WritableByteChannel out) {
		this.out=out;
	}
	public void writeTsPacket(TsRawPacketPart packetPart) throws IOException {
		packetPart.write(out, packetPart.getTsSyncOffset(), packetPart.limit()-packetPart.getTsSyncOffset());
	}
	public TsRawPacketPart getPacketPart() {
		return packetPart;
	}
	public void streamEnd() throws IOException {
		out.close();
	}
	public void setSyncStreamId(int syncStreamId) {};
	
	public void close() {
		try {
			out.close();
		} catch (IOException e) {
		}
	}
}
