package common;

import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;

public abstract class InputStreamHandler {
	protected StringBuffer partial=new StringBuffer(80);
	private ArrayList<String> DUMMY=new ArrayList<String>(0);
	
	public ArrayList<String> logStream(InputStream in) throws IOException {
		Thread.yield();
		ArrayList<String> newLineArray=DUMMY;
		if (in.available() > 0) {
			while (in.available() > 0) {
				int myByte=in.read();
				if (myByte==8) {
					if (partial.length() >0) { 
						partial.setLength(partial.length()-1);
					}
				} else if (myByte=='\n') {
					if (partial.length() > 0) {
						//rtrim
						if (partial.charAt(partial.length()-1)=='\r') {
							partial.setLength(partial.length()-1);
						}
						for (int i=partial.length()-1;i>=0 && partial.charAt(i)==' ';i--) {
							partial.setLength(i);
						}
						if (partial.length() > 0) {
							if (newLineArray==DUMMY) {
								newLineArray=new ArrayList<String>();
							}
							newLineArray.add(partial.toString());
							partial.setLength(0);
						}
					}
					
				} else if (myByte!=' ' || partial.length() > 0) {
					//Funky if performs a ltrim
					partial.append((char)myByte);
				}
			}
		}
		return newLineArray;
	}
	public void flush() {
		ArrayList<String> finalList=new ArrayList<String>(1);
		finalList.add(partial.toString());
		commit(finalList);
	}
	public abstract void commit(ArrayList<String> newLineArray);
	
}
